%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Base
Version:       0.89
Release:       2mamba
Summary:       Test::Base - A Data Driven Testing Framework
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/modules/by-module/Test/Test-Base-%{version}.tar.gz
License:       Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Spiffy
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Spiffy
BuildArch:     noarch

# FIXME
#BuildRequires: perl-Text-Diff

%description
Test::Base - A Data Driven Testing Framework.

%prep
%setup -q -n Test-Base-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%ifnarch arm
%make test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.89-2mamba
- rebuilt with perl 5.36.0

* Mon Sep 17 2018 Automatic Build System <autodist@mambasoft.it> 0.89-1mamba
- automatic update by autodist

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 0.88-1mamba
- automatic update by autodist

* Sat Aug 09 2014 Automatic Build System <autodist@mambasoft.it> 0.79-1mamba
- automatic update by autodist

* Tue May 27 2014 Automatic Build System <autodist@mambasoft.it> 0.62-1mamba
- automatic update by autodist

* Sun Feb 09 2014 Automatic Build System <autodist@mambasoft.it> 0.61-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.60-2mamba
- perl 5.16 mass rebuild

* Mon Apr 04 2011 Automatic Build System <autodist@mambasoft.it> 0.60-1mamba
- automatic update by autodist

* Fri Aug 28 2009 Automatic Build System <autodist@mambasoft.it> 0.59-1mamba
- automatic update by autodist

* Wed Apr 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.58-1mamba
- automatic update by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.55-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.54-2mamba
- automatic rebuild by autodist

* Mon Nov 12 2007 Aleph0 <aleph0@openmamba.org> 0.54-1mamba
- package created by autospec
